Page MenuHomePhabricator

Flow thanked posts aren't remembered across sessions
Closed, ResolvedPublic

Description

If I click "Thank" on a post in Flow, the UI word changes to "Thanked". If I close my browser, and then reopen the board or topic (e.g. the next day), the UI word is once again "Thank" (which is confusing to me), and clicking it will send a second notification (confusing/annoying for the recipient).

The same applies to Thank links in wikitext history pages, e.g. https://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Notifications&action=history

This means I have to rely on my memory, as to whether I've ever thanked someone for their post/edit.


There are a few possible solutions:

  1. Clicking "Thank" on a [post/edit] I've already thanked, would trigger a popup message saying "You've already sent thanks for this [post/edit]."
  2. Change the "Thank" to "Thanked" automatically, on each page-load. (It would have to stop relying on client-side localstorage, which is full for some powerusers.)
  3. ...?

The corresponding bug for non-Flow is T53303: Notifications: Getting multiple "Thank"s from one user for the same edit is possible (double/duplicate). They basically work the same, but the implementations are separate so any fix would need to be done for both.

Event Timeline

Quiddity created this task.Feb 6 2015, 7:14 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2015, 7:14 PM

(It would have to stop relying on client-side localstorage, which is full for some powerusers.)

Probably not just power users.

Mattflaschen-WMF renamed this task from Thanked posts/edits aren't remembered across sessions to Flow thanked posts aren't remembered across sessions.Feb 6 2015, 7:43 PM
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF triaged this task as Normal priority.
He7d3r added a subscriber: He7d3r.Mar 3 2015, 8:49 PM

A similar problem was reported on Portuguese Wikipedia, and I don't think it was related to Flow. See
https://pt.wikipedia.org/wiki/Wikipedia:Caf%C3%A9_dos_programadores?oldid=41475854#.22agradecer_edi.C3.A7.C3.A3o.22

Elitre added a subscriber: Elitre.Mar 5 2015, 3:49 PM

Change 218568 had a related patch set uploaded (by Legoktm):
Use log_search to track already sent thanks

https://gerrit.wikimedia.org/r/218568

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 16 2015, 6:53 PM

Change 218568 merged by jenkins-bot:
Use log_search to track already sent thanks

https://gerrit.wikimedia.org/r/218568

Legoktm closed this task as Resolved.Jun 22 2015, 9:10 PM
Legoktm claimed this task.
Elitre reopened this task as Open.Sep 29 2015, 9:13 AM
Elitre added a subscriber: Stryn.

I think it's happening again.
I checked my log to make sure, and while I did thank @Stryn for his comment here, the UI word was still "Thank". (I just thanked him again, but the log doesn't show it).

The UI was never changed. It says, "The UX is a bit weird right now, we only check log_search when actually
sending thanks again" so the recipient won't double-receive it, but it looks like you can send it for a second time.

@Mattflaschen Is the UI aspect meant to be addressed in this task (in which case it should stay open) or in T101342: Don't make it seem user can re-thank for a Flow post when they already did; render server-side (in which case we can possibly reclose it), or in another/a new task? Thanks.